%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           virtaal
Version:        0.4.0
Release:        1%{?dist}
Summary:        Localization and translation editor

Group:          Development/Tools
License:        GPLv2+
URL:            http://translate.sourceforge.net/wiki/virtaal/index
Source0:        http://sourceforge.net/projects/translate/files/Virtaal/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:         virtaal-0.3beta1-setup_drop_MO_generation.patch

BuildArch:      noarch
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
Requires:       translate-toolkit >= 1.4
Requires:       libtranslate
Requires:       pygtk2
Requires:       pygtk2-libglade
Requires:       pygobject2
Requires:       python-lxml
# python-pycurl needed for open-tran.eu
Requires:       python-pycurl
# python-psycopg2 needed for tinytm
Requires:       python-psycopg2
Requires:       gnome-python2-gtkspell
Requires:       xdg-utils


%description
A program for Computer Aided Translation (CAT) and localization.

Virtaal includes features that allow a localizer to work effectively including:
syntax highlighting, autocomplete and autocorrect.  By showing only 
the data that is needed through its simple and effective user interface it
ensures that you can focus on their current translation task.

A rich set of Translation Memory (TM) plugins provide valuable suggestions to
the translator from sources such as open-tran.eu, libtranslate, the current 
file, and the translators own TM server.

Virtaal is able to edit any of the following formats: XLIFF, Gettext PO and 
.mo, Qt .ts, .qph and .qm, Wordfast TM, TMX and TBX. The Translate Toolkit 
converters allow translators to edit: OpenOffice.org SDF, Java (and Mozilla) 
.properties and Mozilla DTD files.


%prep
%setup -q
%patch0 -p1 -b .setup_drop_MO_generation

%build
%{__python} setup.py build
./maketranslations %{name}
pushd po
for po in $(ls *.po | egrep -v de_DE)
do
    mkdir -p locale/$(basename $po .po)/LC_MESSAGES/
    msgfmt $po --output-file=locale/$(basename $po .po)/LC_MESSAGES/%{name}.mo
done
popd


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --install-data=/usr --nodepcheck --root %{buildroot}

desktop-file-install                                     \
   --delete-original                                     \
   --dir=%{buildroot}%{_datadir}/applications            \
   %{buildroot}%{_datadir}/applications/%{name}.desktop

cp -rp po/locale %{buildroot}%{_datadir}/
%find_lang %{name}

pushd %{buildroot}%{_datadir}/icons/hicolor
    for size in $(ls -d *)
    do
        pushd $size/mimetypes
        ext=png
        if [ "$size" == "scalable" ]; then
            ext=svg
        fi
        for mimetype in \
               text-x-gettext-translation \
               text-x-gettext-translation-template \
               application-x-xliff+xml application-x-xliff \
               text-x-wordfast
        do
            ln -s x-translation.$ext $mimetype.$ext
        done
        popd
    done
popd


%post
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README LICENSE po/*.pot
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/mime/packages/*
%{_datadir}/virtaal
%{_datadir}/icons/hicolor/*/mimetypes/*
%{_datadir}/icons/virtaal.*
%exclude %{_datadir}/icons/x-translation.ico
%{python_sitelib}/*


%changelog
* Wed Aug 5 2009 Dwayne Bailey <dwayne@translate.org.za> - 0.4.0-1
- Update to 0.4.0 final
  - Terminology suggestions
  - Syntax highlighting
  - Support for "placeables" or placeholders
  - Support for editing inline elements of XLIFF files
  - Improvements to preferences
  - Updated translations.
  - Improvements for right-to-left languages.

* Wed Feb 18 2009 Dwayne Bailey <dwayne@translate.org.za> - 0.3.1-1
- Update to 0.3.1 release
- Package icons

* Fri Feb 6 2009 Dwayne Bailey <dwayne@translate.org.za> - 0.3.0-2
- Correct dependency python-psycopg2

* Thu Feb 5 2009 Dwayne Bailey <dwayne@translate.org.za> - 0.3.0-1
- Update to 0.3 final
- Add pycurl, libtranslate, psycopg2 for various TM plugins

* Tue Feb 3 2009 Dwayne Bailey <dwayne@translate.org.za> - 0.3-0.1.rc1
- Update for 0.3-rc1
- Refresh MO setup patch

* Sat Dec 6 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.2-2
- Cleanups from package review

* Thu Oct 16 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.2-1
- Build for final 0.2 release
- Add pygtk2-libglade dependency

* Thu Oct 2 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.2-0.3.rc1
- Rebuild after tarball restructuring

* Wed Oct 1 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.2-0.2.rc1
- Fix file locations

* Wed Oct 1 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.2-0.1.rc1
- Update to RC1

* Sat Sep 20 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.1-12
- Include LICENSE

* Thu Sep 11 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.1-11
- Update for various file moves.
- Package virtaal.pot and gtk+-lite.pot
- Exclude the de_DE.mo debug translations

* Sat Jul 26 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.1-10
- Package autocorrect files

* Thu Jul 24 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.1-9
- Rebuild after upstream data location changes

* Tue Jun 3 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.1-8
- Rebuild for fc9

* Fri May 9 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.1-8
- Add xdg-utils as a requirement as we are using xdg-open

* Wed May 7 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.1-7
- Adjust to changes in source package

* Wed Apr 30 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.1-6
- Adjust to changes in source package

* Thu Apr 17 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.1-5
- Install icon

* Thu Apr 17 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.1-4
- Build translatable files using intltool

* Mon Apr 14 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.1-3
- Install translations

* Sat Apr 12 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.1-2
- Executable s/run_virtaal.py/virtaal/
- Remove .glade movement, ./setup.py install it correctly now
- Install .desktop, locale, mime files
- Update desktop- and mime-database

* Sat Apr 5 2008 Dwayne Bailey <dwayne@translate.org.za> - 0.1-1
- Initial packaging
